using Newtonsoft.Json;

namespace NostrServices.Client;

public class RelayDistance
{
    [JsonProperty("url")]
    public Uri Url { get; init; } = null!;

    [JsonProperty("distance")]
    public double Distance { get; init; }

    [JsonProperty("users")]
    public long? Users { get; init; }

    [JsonProperty("country")]
    public string? Country { get; init; }

    [JsonProperty("city")]
    public string? City { get; init; }

    [JsonProperty("description")]
    public string? Description { get; init; }

    [JsonProperty("is_paid")]
    public bool? IsPaid { get; init; }

    [JsonProperty("is_write_restricted")]
    public bool? IsWriteRestricted { get; init; }

    [JsonProperty("lat")]
    public double? Latitude { get; init; }

    [JsonProperty("lon")]
    public double? Longitude { get; init; }
}
